﻿// Ticker Yandex.Traffic for Forward Tv system

// 1. Общие параметры
// 1.1. URL данных о пробках в городе
var DataUrl = "https://radioprobki.yandex.ru/export/tv/msk"
// 1.2. Периодичность обновления данных (в милисекундах)
var DataUpdateTime = 30000 // 30сек

// 1.3. Yастройки прокси
var ProxyHostName = ""
var ProxyHostPort = 0


// 2. Конфигурация блока "Загруженность города"
// 2.1. Ширина блока. Элементы за указанными границами отображаться не будут.
var CityLoadWidgetWidth  = 93
// 2.2. Высота блока. Элементы за указанными границами отображаться не будут.
var CityLoadWidgetHeight = 34
// 2.3. Позиция светофора по оси X
var CityLoadImageX = 10
// 2.4. Позиция светофора по оси Y
var CityLoadImageY = 5
// 2.5. Ширина светофора
var CityLoadImageWidth = 27
// 2.6. Высота светофора
var CityLoadImageHeight = 25
// 2.7. Изображение светофора в зависимости от цвета подложки (белой/черной): true - используются изображения *_traffic_day_*.png, false - *_traffic_night_*.png
var CityLoadImageTrafficDay = true;
// 2.8. Изображение светофора в зависимости от направления светофора (вправо/влево): true - используются изображения *_traffic_*_left.png, false - *_traffic_*_right.png
var CityLoadImageTrafficDirection = true;
// 2.9. Добавлять слово "балл" к численному значению загруженности?
var CityLoadTextLong = true
// 2.10. Позиция слова "балл" по оси X
var CityLoadTextLongX = 55
// 2.11. Позиция слова "балл" по оси Y
var CityLoadTextLongY = 8
// 2.12. Позиция символов балла загрузки по оси X
var CityLoadTextX = 43
// 2.13. Позиция символов балла загрузки по оси Y
var CityLoadTextY = 8
// 2.14. Файл со шрифтом
var CityLoadTextFontSource = "fonts/TBN55.otf"
// 2.15. Размер шрифта
var CityLoadTextFontSize = 13
// 2.16. Атрибут bold у текстового значения
var CityLoadLevelFontBold = false
// 2.17. Атрибут bold у числового значения
var CityLoadLevelUnitFontBold = false
// 2.18. Цвет текста, соответствующий зеленому уровню загруженности
var CityLoadTextColorGreen = "#1f9410"
// 2.19. Цвет текста, соответствующий желтому уровню загруженности
var CityLoadTextColorYellow = "#cf9b28"
// 2.20. Цвет текста, соответствующий красному уровню загруженности
var CityLoadTextColorRed = "#c10016"
// 2.21. Показывать графический логотип в блоке загруженности города
var CityBannerImageVisible = false
// 2.22. Файл графического логотипа
var CityBannerSourceFile = "images/logo_color.png"
// 2.23. Ширина баннера
var CityBannerImageWidth = 130
// 2.24. Высота баннера
var CityBannerImageHeight = 30
// 2.25. Позиция баннера по оси X
var CityBannerImageXPos = 8
// 2.26. Позиция баннера по оси Y
var CityBannerImageYPos = 2
// 2.27. Скорость анимации (прокрутки)
var CityLoadAnimationDuration = 400
// 2.28. Направление прокрутки (true - сверху вниз, false - снизу вверх)
var CityLoadScrollDirection = true
// 2.29. Периодичность показа логотипа  (в милисекундах)
var CityBannerImageShowInterval = 10000 /*60 secs*/
// 2.30. Продолжительность показа логотипа
var CityBannerImageShowDuration = 5000 // 5 secs


// 3. Конфигурация блока "Загруженность маристралей"
// 3.1. Интервал показа новых сообщений (в милисекундах)
var HighwayLoadScrollingInterval = 5000
// 3.2. Скорость анимации (в милисекундах)
var HighwayLoadAnimationDuration = 300
// 3.3. Направление прокрутки (true - сверху вниз, false - снизу вверх)
var HighwayLoadScrollDirection = true
// 3.4. Ширина блока. Элементы за указанными границами отображаться не будут
var HighwayLoadWidgetWidth = 900
// 3.5. Высота блока. Элементы за указанными границами отображаться не будут
var HighwayLoadWidgetHeight = 33

// 3.6. Координаты текста в блоке с названием магистрали по оси X
var HighwayNameTextX = 15
// 3.7. Координаты текста в блоке с названием магистрали по оси Y
var HighwayNameTextY = 8
// 3.8. Ширина текстового поля с именем магистрали
var HighwayNameTextWidth = 500

// 3.9. Добавлять слово "балл" к численному значению загруженности?
var HighwayLoadLevelItemTextLong = false
// 3.10. Расположение слова "балл" по оси X
var HighwayLoadLevelItemTextLongX = 50
// 3.11. Расположение слова "балл" по оси Y
var HighwayLoadLevelItemTextLongY = 5

// 3.12. Расположение блока по оси X
var HighwayLoadLevelItemX = 400
// 3.13. Расположение  блока по оси Y
var HighwayLoadLevelItemY = 8
// 3.14. Высота блока магистрального круга
var HighwayLoadLevelItemHeight = 25
// 3.15. Ширина блока магистрального круга
var HighwayLoadLevelItemWidth = 25
// 3.16. Позиция балла загрузки внутри блока по оси X
var HighwayLoadLevelItemTextX = 3
// 3.17. Позиция балла загрузки внутри блока по оси Y
var HighwayLoadLevelItemTextY = 0
// 3.18. Координаты текста с направлением движения по магистрали по оси X
var HighwayDirectionTextXOffset = -15
// 3.19. Координаты текста с направлением движения по магистрали по оси Y
var HighwayDirectionTextY = 8

// 3.20. Тип шрифта для всей текстовой информации представленной блоке отображения о загрузке магистралей
var HighwayLoadLevelTextFontSource = "fonts/TBN55.otf"
// 3.21. Размер шрифта для всей текстовой информации представленной блоке "Загруженность магистралей"
var HighwayLoadLevelTextFontSize = 13
// 3.22. Атрибут bold у названия магистрали 
var HighwayNameFontBold = false
// 3.23. Атрибут bold у числового значения балла
var HighwayLoadLevelUnitFontBold = false
// 3.24. Атрибут bold у текстового значения балла
var HighwayLoadLevelFontBold = false
// 3.25. Атрибут bold у направления движения
var HighwayDirectionFontBold = false
// 3.26. Цвет по-умолчанию
var HighwayLoadLevelItemTextColorDefault = "#303030"
// 3.27. Изменять цвет текста названия магистрали в зависимости от показания светофора?
var HighwayNameTextColorful = false
// 3.28. Изменять цвет текста направления движения в зависимости от показания светофора?
var HighwayDirectionTextColorful = false;
// 3.29. Цвет, соответствующий зеленому уровню загруженности
var HighwayLoadLevelItemTextColorGreen  = "#1f9410"
// 3.30. Цвет, соответствующий желтому уровню загруженности
var HighwayLoadLevelItemTextColorYellow = "#fec328"
// 3.31. Цвет, соответствующий красному уровню загруженности
var HighwayLoadLevelItemTextColorRed    = "#c10016"


// Брендинг данных
// 3.31. Координаты текста баннера по оси X
var HighwayBannerTextPositionX = 15
// 3.32. Координаты текста баннера по оси Y
var HighwayBannerTextPositionY = 8
// 3.33. Шрифт
var HighwayBannerTextFontSource = "fonts/TBN55.otf"
// 3.34. Размер шрифта
var HighwayBannerTextFontSize = 13
// 3.35. Атрибут bold
var HighwayBannerTextFontBold = false;


// Дополнительные параметры

// Внимание!Необходимо согласовать с нами любое изменение значений дополнительных параметров:offer-smi@yaproobki.ru

// 4. Сокращенные названия
// 4.1. Выполнять подмену названий на сокращенные?
var MakeSubstitution = false
// 4.2. URL данных сокращенных названий
var SubstitutionUrl = "test/omsk_short_names.xml"

// 5. Блок "Город". Внимание!Необходимо согласовать с нами любое изменение значений дополнительных параметров:offer-smi@yaproobki.ru
// 5.1. Показывать светофор?
var CityLoadImageVisible  = true
// 5.2. Показывать балл загруженности вместе со светофором?
var CityLoadTextVisible = true
// 5.3. Изменять цвет текста в зависимости от показания светофора?
var CityLoadTextColorful = true
// 5.4. Цвет по-умолчанию
var CityLoadTextColorDefault = "#303030"

// 5.5. Видимость кольца вокруг балла загруженности (в случае, если не используется светофор)
var CityLoadLevelRingVisible = false
// 5.6. Координаты кольца по оси X
var CityLoadLevelRingPosX = 40
// 5.7. Координаты кольца по оси Y
var CityLoadLevelRingPosY = 4
// 5.8. Ширина кольца вокруг балла загруженности
var CityLoadLevelRingWidth = 25

// 6. Блок "Магистраль". Внимание!Необходимо согласовать с нами любое изменение значений дополнительных параметров:offer-smi@yaproobki.ru
// 6.1. Автоматически менять длинну названия магистрали и направления
var HighwayLoadDynamicText = true
// 6.2. Изменять цвет текста в зависимости от показания светофора?
var HighwayLoadLevelTextColorful = true
// 6.3. Видимость кольца вокруг значения загрузки
var HighwayLoadLevelRingVisible = true;
// 6.4. Координаты кольца по оси X
var HighwayLoadLevelRingPosX = -5
// 6.5. Координаты кольца по оси Y
var HighwayLoadLevelRingPosY = -1
// 6.6. Размер кольца вокруг значения загрузки (уменьшается/увеличивавется пропорционально)
var HighwayLoadLevelRingSize = 25
// 6.7. Показывать светофор?
var HighwayLoadLevelItemImageVisible = false
// 6.8. Позиция светофора по оси X
var HighwayLoadLevelItemImageX = 0
// 6.9. Позиция светофора по оси Y
var HighwayLoadLevelItemImageY = 0
// 6.10. Ширина светофора (высота пропорционально меняется)
var HighwayLoadLevelItemImageWidth = 0
// 6.11. Показывать балл загруженности вместе со светофором?
var HighwayLoadLevelItemTextVisible = true


// 6.12. Использовать графический логотип после текста "По данным сервиса _____"
var HighwayBannerImageVisible = false
// 6.13. Файл графического логотипа
var HighwayBannerSourceFile = "images/logo_black.png"
// 6.14. Ширина баннера
var HighwayBannerImageWidth = 100
// 6.15. Высота баннера
var HighwayBannerImageHeight = 25
// 6.16. Позиция баннера по оси X
var HighwayBannerImageXPos = 150
// 6.17. Позиция баннера по оси Y
var HighwayBannerImageYPos = -1
