#include "street.h"

Street::Street(const QString& name, const QString &title ) :
	m_strName( name ),
	m_strTitle( title )
{

}

Street::Street(const Street&other)
{
	*this = other;
}

Street& Street::operator=(const Street&other)
{
	m_strName = other.m_strName;
	m_strTitle = other.m_strTitle;
	m_directions = other.m_directions;
	return *this;
}

Street::~Street()
{
	qDeleteAll( m_directions );
	m_directions.clear();
}

void Street::addStreetLoad( StreetLoad* load)
{
	m_directions.push_back( load );
}



