#ifndef STREETLOAD_H
#define STREETLOAD_H

#include <QString>

class StreetLoad
{
public:
	StreetLoad(const QString& loadName, unsigned int loadLevel, const QString loadDirectionTitle );

	inline unsigned int loadLevel() const { return m_uiLoadLevel; }
	inline QString loadDirectionTitle() const { return m_strLoadDirection; }
	inline QString loadName() const { return m_strLoadName; }

private:
	Q_DISABLE_COPY(StreetLoad)
	QString m_strLoadName;
	unsigned int m_uiLoadLevel;
	QString m_strLoadDirection;
};

#endif // STREETLOAD_H
